## GnomeDbProviderAuthEditor

GnomeDbProviderAuthEditor — Widget to display and edit authentication information associated to a database provider

##

# Synopsis

    struct      GnomeDbProviderAuthEditor;
    struct      GnomeDbProviderAuthEditorClass;
    struct      GnomeDbProviderAuthEditorPrivate;
    GtkWidget*  gnome_db_provider_auth_editor_new
                                                (const gchar *provider);
    void        gnome_db_provider_auth_editor_set_provider
                                                (GnomeDbProviderAuthEditor *auth,
                                                 const gchar *provider);
    gboolean    gnome_db_provider_auth_editor_is_valid
                                                (GnomeDbProviderAuthEditor *auth);
    gchar*      gnome_db_provider_auth_editor_get_auth
                                                (GnomeDbProviderAuthEditor *auth);
    void        gnome_db_provider_auth_editor_set_auth
                                                (GnomeDbProviderAuthEditor *auth,
                                                 const gchar *auth_string);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbProviderAuthEditor

## Implemented Interfaces

GnomeDbProviderAuthEditor implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "provider"             gchararray           : Read / Write

## Signal Prototypes

    "changed"   void        user_function      (GnomeDbProviderAuthEditor *dbproviderautheditor,
                                                gpointer user_data);

## Description

## Details

### struct GnomeDbProviderAuthEditor

    struct GnomeDbProviderAuthEditor;

### struct GnomeDbProviderAuthEditorClass

    struct GnomeDbProviderAuthEditorClass {

    	GtkVBoxClass           parent_class;

    	/* signals */
    	void                (* changed) (GnomeDbProviderAuthEditor *auth);
    };

### struct GnomeDbProviderAuthEditorPrivate

    struct GnomeDbProviderAuthEditorPrivate;

### gnome_db_provider_auth_editor_new ()

    GtkWidget*  gnome_db_provider_auth_editor_new
                                                (const gchar *provider);

Creates a new GnomeDbProviderAuthEditor widget

`provider` : | the provider to be used
Returns : |

### gnome_db_provider_auth_editor_set_provider ()

    void        gnome_db_provider_auth_editor_set_provider
                                                (GnomeDbProviderAuthEditor *auth,
                                                 const gchar *provider);

Updates the displayed fields in `auth` to represent the required and possible arguments that a connection to a database through `provider` would require

`auth` : | a GnomeDbProviderAuthEditor widget
`provider` : | the provider to be used

### gnome_db_provider_auth_editor_is_valid ()

    gboolean    gnome_db_provider_auth_editor_is_valid
                                                (GnomeDbProviderAuthEditor *auth);

Tells if the current information displayed in `auth` reauthts the provider's authifications (about non NULL values for example)

`auth` : | a GnomeDbProviderAuthEditor widget
Returns : |

### gnome_db_provider_auth_editor_get_auth ()

    gchar*      gnome_db_provider_auth_editor_get_auth
                                                (GnomeDbProviderAuthEditor *auth);

`auth` : |
Returns : |

### gnome_db_provider_auth_editor_set_auth ()

    void        gnome_db_provider_auth_editor_set_auth
                                                (GnomeDbProviderAuthEditor *auth,
                                                 const gchar *auth_string);

`auth` : |
`auth_string` : |

## Properties

"`provider`" (gchararray : Read / Write) |

## Signals

### The "changed" signal

    void        user_function                  (GnomeDbProviderAuthEditor *dbproviderautheditor,
                                                gpointer user_data);

`dbproviderautheditor` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.